# Method: accounts.brands.patch

- [HTTP request](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.brands/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.brands/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.brands/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.brands/patch#body.request_body)
- [Response body](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.brands/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.brands/patch#body.aspect)

Updates a brand.

### HTTP request

`PATCH https://travelpartner.googleapis.com/v3/{brand.name=accounts/*/brands/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `brand.name` | `string` Output only. The resource name for the brand in the format `accounts/{account_id}/brands/{brandId}`. The `brandId` corresponds to the partner's brand identifier used for landing page matching and the property-level brand identifier. A default brand is applied to properties that do not have a brand. The `brandId` of the default brand is `NO_BRAND_ID`. It can be fetched and updated like any configured brand. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. The field to update. Only the `displayNames` and `icon` fields can be updated. Use the syntax shown in the example URI below and provide the new value in the request body. Example request URI and request body: PATCH https://travelpartner.googleapis.com/v3/accounts/123456789/ brands/my-brand?updateMask=brand.display_names { "displayNames": [{ "language": "en" "text": "Gilles' Gites" }] } The information above is sufficient for forming the URI and request body. The sentence below is auto-generated, supplemental information about the `FieldMask` format in general. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |
| `allowMissing` | `boolean` When true, and the Brand is not found, a new Brand will be created. In this situation, `updateMask` is ignored. |

### Request body

The request body contains an instance of `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.brands#Brand`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.brands#Brand`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/travelpartner`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).